### Enumeration

# GLib ConvertError

since: 2.0

#### Declaration

    error-domain GLib.ConvertError

#### Description

Error codes returned by character set conversion routines.

Available since: 2.0

#### Members

`G_CONVERT_ERROR_NO_CONVERSION`

  Conversion between the requested character sets is not supported.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`G_CONVERT_ERROR_ILLEGAL_SEQUENCE`

  Invalid byte sequence in conversion input; or the character sequence could not be represented in the target character set.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`G_CONVERT_ERROR_FAILED`

  Conversion failed for some reason.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0
`G_CONVERT_ERROR_PARTIAL_INPUT`

  Partial character sequence at end of input.

  - Value: `3`
  - Nickname: `None`
  - Available since: 2.0
`G_CONVERT_ERROR_BAD_URI`

  URI is invalid.

  - Value: `4`
  - Nickname: `None`
  - Available since: 2.0
`G_CONVERT_ERROR_NOT_ABSOLUTE_PATH`

  Pathname is not an absolute path.

  - Value: `5`
  - Nickname: `None`
  - Available since: 2.0
`G_CONVERT_ERROR_NO_MEMORY`

  No memory available. Since: 2.40

  - Value: `6`
  - Nickname: `None`
  - Available since: 2.0
`G_CONVERT_ERROR_EMBEDDED_NUL`

  An embedded NUL character is present in conversion output where a NUL-terminated string is expected. Since: 2.56

  - Value: `7`
  - Nickname: `None`
  - Available since: 2.0